#!/bin/sh

#set -ex

if [ "$(uname -s)" = "Darwin" ]; then
  if [ "$(whoami)" = "root" ]; then
    TARGET_DIR="/Library/Google/Chrome/NativeMessagingHosts"
  else
    TARGET_DIR="$HOME/Library/Application Support/Google/Chrome/NativeMessagingHosts"
  fi
else
  MACHINE_TYPE=`uname -m`
  if [ "$MACHINE_TYPE" = "i686" ]; then
	if [ "$(whoami)" = "root" ]; then
	   TARGET_DIR="/etc/chromium-browser/native-messaging-hosts"
	else
	   TARGET_DIR="$HOME/.config/chrome-browser/NativeMessagingHosts"
	fi
  else
	if [ "$(whoami)" = "root" ]; then
	   TARGET_DIR="/etc/opt/chrome/native-messaging-hosts"
	else
	   TARGET_DIR="$HOME/.config/google-chrome/NativeMessagingHosts"
	fi
  fi
fi

HOST_NAME=com.epadlink.sigcapturewebsdk.win
rm "$TARGET_DIR/${HOST_NAME}.json"

#remove symblic links from /usr/local/lib
cd /usr/local/lib
rm libjsoncpp.so.1
rm libjsoncpp.so
rm libcrypto.so
#remove working temp folder
rm -r /tmp/SigCaptureWeb

echo "ePadLink SigCapture WebSign for Chrome browser has been uninstalled."
